org.apache.lucene.util

## Class DocIdSetBuilder.BulkAdder

- java.lang.Object
- - org.apache.lucene.util.DocIdSetBuilder.BulkAdder

- Enclosing class:
    DocIdSetBuilder

      public abstract static class DocIdSetBuilder.BulkAdder
      extends Object

  Utility class to efficiently add many docs in one go.
  See Also:
    `DocIdSetBuilder.grow(int)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkAdder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(int doc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkAdder

          public BulkAdder()

  - ### Method Detail

    - #### add

          public abstract void add(int doc)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.